#pragma once

#include <set>

#include "core/time.h"
#include "classicmode/classicnote.h"

class HoldManager;

namespace classic
{

struct Beatmap
{
    std::set<ClassicNote*, kku::NotePtrComparator> notes;
    kku::microsec visibility_offset;
};

Beatmap createBeatmap(const std::string& filepath, const std::shared_ptr<HoldManager>& hold_manager);

}

